Create a client org
POST
/v1/workspaces/{workspaceId}/sharees
const url = 'https://shareout.site/v1/workspaces/example/sharees';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","type":"client"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/workspaces/example/sharees \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "type": "client" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceId
required
string
Workspace ID or slug.
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
type
string
Responses
Section titled “ Responses ”Created
Media type application/json
object
id
string
name
string
type
Client, supplier, partner, investor, or any label.
string
member_count
integer
branding
object
logo
string
color
string
Example generated
{ "id": "example", "name": "example", "type": "example", "member_count": 1, "branding": { "logo": "example", "color": "example" }}Access denied
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}